fop 1.1

## org.apache.fop.render.ps.extensions
Class PSExtensionHandlerFactory

    java.lang.Object
      org.apache.fop.render.ps.extensions.PSExtensionHandlerFactory

All Implemented Interfaces:
  ContentHandlerFactory

    public class PSExtensionHandlerFactory

extends java.lang.Object
implements ContentHandlerFactory

Factory for the ContentHandler that handles serialized PSSetupCode instances.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.fop.util.ContentHandlerFactory
`ContentHandlerFactory.ObjectBuiltListener, ContentHandlerFactory.ObjectSource`

Constructor Summary
`PSExtensionHandlerFactory()`

Method Summary
`org.xml.sax.ContentHandler` `createContentHandler()`
`java.lang.String[]` `getSupportedNamespaces()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSExtensionHandlerFactory

    public PSExtensionHandlerFactory()

Method Detail

### getSupportedNamespaces

    public java.lang.String[] getSupportedNamespaces()

  Specified by:
    `getSupportedNamespaces` in interface `ContentHandlerFactory`
  Returns:
    an array of supported namespaces.

### createContentHandler

    public org.xml.sax.ContentHandler createContentHandler()

  Specified by:
    `createContentHandler` in interface `ContentHandlerFactory`
  Returns:
    a new ContentHandler to handle a SAX stream

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.